/* $Workfile: OtxHwIds.h $   $Revision: 13 $    $Modtime: 12/16/00 7:23p $ */
#ifndef OD_HD_IDS_H
#define OD_HD_IDS_H
/*******************************************************************************

  Copyright (C) 1998 Odin TeleSystems Inc., All Rights Reserved

  @doc internal

  OTX Generic Hardware Driver API

  OtxHwIds

  OTX Product IDs

*******************************************************************************/

#define OD_PLX_CONFIG_ADDR_PORT    0xCF8
#define OD_PLX_CONFIG_DATA_PORT    0xCFC

#define OD_PLX_VENDOR_ID           0x10B5
#define OD_PLX_DEVICE_ID           0x9050

#define OTX_ODIN_VENDOR_ID         0x14C9

// IDs as stored in the PCI SID register + 1000
#define OTX_PROD_ID_UNKNOWN              0
#define OTX_PROD_ID_BALDER_2S_ISA        1002
#define OTX_PROD_ID_BALDER_8S_ISA        1003
#define OTX_PROD_ID_THOR_2_ISA           1004
#define OTX_PROD_ID_ARNI_32_PCI          1008
#define OTX_PROD_ID_VIDAR_5x4_ASM        1009
#define OTX_PROD_ID_BALDER_8U_PCI        1010
#define OTX_PROD_ID_THOR_4_PCI           1011
#define OTX_PROD_ID_THOR_2_PCMCIA_STD    1012
#define OTX_PROD_ID_THOR_1_PCI           1013
#define OTX_PROD_ID_VIDAR_6x1_ASM        1014
#define OTX_PROD_ID_VIDAR_6x3_PCI        1017
#define OTX_PROD_ID_THOR_8_PCI           1019
#define OTX_PROD_ID_VIDAR_5x16_PCI       1020
#define OTX_PROD_ID_THOR_2_PCI           1022
#define OTX_PROD_ID_BALDER_8S_PCI        1023
#define OTX_PROD_ID_VIDAR_5x4_PCI        1024
#define OTX_PROD_ID_VIDAR_5x8_PCI        1025
#define OTX_PROD_ID_VIDAR_5x12_PCI       1026
#define OTX_PROD_ID_THOR_16_CPCI         1028
#define OTX_PROD_ID_THOR_2_PCMCIA_PLUS   1043

/* $History: OtxHwIds.h $
 * 
 * *****************  Version 13  *****************
 * User: Hanz         Date: 12/18/00   Time: 5:07p
 * Updated in $/Products/Otx-Driver/Lib
 * Added Thor-2-Pcmcia-Plus
 * 
 * *****************  Version 12  *****************
 * User: Lme          Date: 10/25/99   Time: 12:13p
 * Updated in $/Products/Otx-Driver/Lib
 * Added Osa lib files and Linux lib. Took out functions that were not
 * being used.
 * 
 * *****************  Version 11  *****************
 * User: Lme          Date: 3/26/99    Time: 6:13p
 * Updated in $/Products/Otx-Driver/Lib
 * 
 * *****************  Version 10  *****************
 * User: Hanz         Date: 2/03/99    Time: 3:46p
 * Updated in $/Products/Otx-Driver/Lib
 * Changed all operating system dependant types to OD_XXX.
 * 
 * *****************  Version 9  *****************
 * User: Lme          Date: 1/20/99    Time: 8:39p
 * Updated in $/Products/Otx-Driver/Lib
 * Added OtxDrvGetAttributeType() and  OtxDrvGetAttributeValue() and
 * associated functions.
 * 
 * *****************  Version 8  *****************
 * User: Hanz         Date: 1/20/99    Time: 3:25p
 * Updated in $/Products/Otx-Driver/Lib
 * Changed the name of the DSP standard module to OtxSpm1.
 * 
 * *****************  Version 7  *****************
 * User: Jari         Date: 11/16/98   Time: 6:19p
 * Updated in $/Products/Otx-Driver/Lib
 *
 * *****************  Version 6  *****************
 * User: Jari         Date: 11/16/98   Time: 5:20p
 * Updated in $/Products/Otx-Driver/Lib
 * Added PCI Config Port Address macros. ODIN Vendor ID macro and changed
 * PROD_ID macros to start with OTX_
 *
 *
 *
 */

/*******************************************************************************

  Copyright (C) Odin TeleSystems Inc., 1998

  All rights reserved. No part of this computer program may be reproduced,
  stored in any retrieval system, or transmitted, in any form or by any
  means, electronic, mechanical, photocopying, recording, or otherwise,
  without the prior written permission of Odin TeleSystems Inc., or without
  a permission stipulated in the agreement/contract under which this computer
  program was supplied.

*******************************************************************************/
#endif  // OD_HW_IDS_H
